package com.xkrs.model.bean;

import java.util.List;

public class FirePointChannelConfigBean {

    public static final String Ordinary = "Ordinary";
    public static final String Precise = "Precise";

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 渠道配置列表
     */
    private List<ChannelConfig> configList;

    /**
     * 渠道配置
     */
    public static class ChannelConfig {

        /**
         * 开始时间
         */
        private String startTime;

        /**
         * 结束时间
         */
        private String endTime;

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public String getEndTime() {
            return endTime;
        }

        public void setEndTime(String endTime) {
            this.endTime = endTime;
        }
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public List<ChannelConfig> getConfigList() {
        return configList;
    }

    public void setConfigList(List<ChannelConfig> configList) {
        this.configList = configList;
    }
}
