package com.xkrs.service;

public interface FirePointService {

//    String downloadVipUserFilePoint(HttpServletRequest request, HttpServletResponse response);

//    String downloadFirePoint(HttpServletRequest request, HttpServletResponse response, String ids);

    /**
     * 查询火点播报（无token）
     *
     * @param limit 最大数量
     */
    String queryFirePointBroadcast(Integer limit);

    /**
     * 动态多条件查询
     */
    String queryFirePoint(String token, String code, String startTime, String endTime, String satelliteType, String landType);

    /**
     * 查询今天的火点信息
     */
    String selectTodayFirePoint(String token, String countyCode);

    /**
     * 根据火点编码查询火点信息
     */
    String selectFirePointByCode(String fireCode);
}
