package com.xkrs.service.impl;

import com.xkrs.service.SysAuthorityService;
import com.xkrs.dao.RelRoleAuthorityDao;
import com.xkrs.dao.SysAuthorityDao;
import com.xkrs.model.entity.SysAuthorityEntity;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统权限服务实现
 *
 * @author tajochen
 */
@Service
public class SysAuthorityServiceImpl implements SysAuthorityService {

    @Resource
    private SysAuthorityDao sysAuthorityDao;

    @Resource
    private RelRoleAuthorityDao relRoleAuthorityDao;

    @Override
    public List<SysAuthorityEntity> findAllByIdIn(List<Long> id) {
        return sysAuthorityDao.findAllByIdIn(id);
    }

    @Override
    public List<Long> selectAuthorityByUserId(Long userId) {
        return relRoleAuthorityDao.selectAuthorityByUserId(userId);
    }
}
